- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
X Window Property Functions
Ecore_X - X11 Integration

Functions that set window properties. More...

## Functions
void | ecore_x_window_defaults_set (Ecore_X_Window win)
| Sets the default properties for the given window. More...

## Detailed Description

Functions that set window properties.

## Function Documentation

void ecore_x_window_defaults_set | ( | Ecore_X_Window | win | ) |

Sets the default properties for the given window.

The default properties set for the window are `WM_CLIENT_MACHINE` and `_NET_WM_PID`.

Parameters

  win | The given window.

References ecore_app_args_get(), ecore_x_icccm_command_set(), and ecore_x_sync().

Referenced by ecore_x_window_new().